<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 13;
$toolId = \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;

$settingsArray = array();

$subGroup = 'Dokumenten-Übersicht';

$setting = new Setting();
$setting->name = 'reiterDokumenteGroupByFach';
$setting->description = 'Dokumente nach Fach gruppieren';
$setting->help = '';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'reiterDokumenteGroupByPerson';
$setting->description = 'Dokumente nach (KuferTools-) Ersteller gruppieren';
$setting->help = '';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$subGroup = 'Einstellungen für das Senden einer Benachrichtigungs-E-Mail zum Hochladen von Dokumenten';

$setting = new Setting();
$setting->name = 'dokumenteUploadInfoMailAnPlanMa';
$setting->description = 'Bei Dateiupload eine E-Mail an den planenden Mitarbeiter des Kurses versenden';
$setting->help = 'Wenn kein Haken beim verwaltenden, planenden oder verantwortenden Mitarbeiter gesetzt ist, '
  . 'erfolgt der Versand an die E-Mail Adresse der Schulungseinrichtung.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dokumenteUploadInfoMailAnVerwMa';
$setting->description = 'Bei Dateiupload eine E-Mail an den verwaltenden Mitarbeiter des Kurses versenden';
$setting->help = 'Wenn kein Haken beim verwaltenden, planenden oder verantwortenden Mitarbeiter gesetzt ist, '
  . 'erfolgt der Versand an die E-Mail Adresse der Schulungseinrichtung.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dokumenteUploadInfoMailAnVerantwMa';
$setting->description = 'Bei Dateiupload eine E-Mail an den verwaltenden Mitarbeiter des Kurses versenden';
$setting->help = 'Wenn kein Haken beim verwaltenden, planenden oder verantwortenden Mitarbeiter gesetzt ist, '
  . 'erfolgt der Versand an die E-Mail Adresse der Schulungseinrichtung.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'vhsEmailTool1Section593';
$setting->description = 'Ziel-E-Mail-Adresse';
$setting->help = 'Wenn kein Haken beim verwaltenden, planenden oder verantwortenden Mitarbeiter gesetzt ist, '
        . 'erfolgt der Versand an die angegebene E-Mail Adresse. Ist das Feld leer, wird die Nachricht an die E-Mail-Adresse gesendet, '
        . 'die unter <a href="?action=settings&hardlink=file_system_schulungseinrichtung">Einstellungen / System / Daten der Einrichtung / Ziel für E-Mails aus den KuferTools an die Schulungseinrichtung</a> angegeben ist.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dokumenteUploadInfoMailMitAnhang';
$setting->description = 'Hochgeladenes Dokument im Anhang der E-Mail mitsenden';
$setting->help = '';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$subGroup = 'Hochladen-Formular';

$setting = new Setting();
$setting->name = 'reiterDokumenteUploadShowFaecherAuswahl';
$setting->description = 'Fächerauswahl beim Hochladen für Dokumente';
$setting->help = '<p>Diese Option sollte ausgewählt sein, damit die Dokumente im Reiter Dokumente (später) '
  . 'nach Fach gruppiert werden können.</p>'
  . '<p>Ist diese Option deaktiviert, wird bei Dozenten mit nur einem Fach beim Kurs, '
  . 'dieses Fach beim hochgeladenen Dokument eingetragen.</p>';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'reiterDokumenteUploadFaecherAuswahlShowNoFach';
$setting->description = 'Bei Fächerauswahl auch Option "Ohne Fach" auswählbar';
$setting->help = 'Wenn explizit kein Fach angegeben werden darf, muss diese Einstellung ausgewählt sein.';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

if (\DBWorkTools::getDefaultInstance()->isToolAllowed(null, \ToolsAPI::TOOL_KURSUEBERSICHT_FA)) {
  $setting = new Setting();
  $setting->name = 'dokumenteAllowForFirmenSetting';
  $setting->description = 'Dem Dozenten erlauben das hochgeladene Dokument für Firmen freizugeben';
  $setting->help = '';
  $setting->subGroup = $subGroup;
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_CHECKBOX);
  array_push($settingsArray, $setting);

  $setting = new Setting();
  $setting->name = 'dokumenteAllowForFirmenDefault';
  $setting->description = 'Standardmäßig hochgeladene Dokumente für Firmen freigeben';
  $setting->help = 'Standardmäßig hochgeladene Dokumente für Firmen freigeben. Der Dozent kann dies beim Upload jedoch immer noch selbst entscheiden. '
        . 'Einstellung "Dem Dozenten erlauben das hochgeladene Dokument Firmen freizugeben" muss ausgewählt sein, damit diese Einstellung wirksam ist.';
  $setting->subGroup = $subGroup;
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_CHECKBOX);
  array_push($settingsArray, $setting);
}

if (\DBWorkTools::getDefaultInstance()->isToolAllowed(null, \ToolsAPI::TOOL_TN)) {
  $setting = new Setting();
  $setting->name = 'dokumenteAllowForTeilnehmerSetting';
  $setting->description = 'Dem Dozenten erlauben das hochgeladene Dokument für Teilnehmer freizugeben';
  $setting->help = '';
  $setting->subGroup = $subGroup;
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_CHECKBOX);
  array_push($settingsArray, $setting);

  $setting = new Setting();
  $setting->name = 'dokumenteAllowForTeilnehmerDefault';
  $setting->description = 'Standardmäßig hochgeladene Dokumente für Teilnehmer freigeben';
  $setting->help = 'Standardmäßig hochgeladene Dokumente für Teilnehmer freigeben. Der Dozent kann dies beim Upload jedoch immer noch selbst entscheiden. '
        . 'Einstellung "Dem Dozenten erlauben das hochgeladene Dokument Teilnehmer freizugeben" muss ausgewählt sein, damit diese Einstellung wirksam ist.';
  $setting->subGroup = $subGroup;
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_CHECKBOX);
  array_push($settingsArray, $setting);
}